Important License Update for OpenFlows Users

Product(s): WaterGEMS, WaterCAD, HAMMER, SewerGEMS, SewerCAD, StormCAD, CivilStorm, PondPack, FlowMaster, CulvertMaster
Version(s): 10.01.XX.XX and earlier
Area: Licensing

What is this about?

Bentley has replaced SELECTserver licensing with our new Subscription Entitlement Services licensing. This new licensing gives you more control over license usage and provides enhanced clarity for end-user Feature Level selection, helping prevent unintended overages. For a 3-minute video on benefits to OpenFlows users, see this.

Starting January 1, 2021, support for SELECTserver will start to become discontinued and users on older, SELECTserver-licensed versions will want to upgrade in order to avoid any disruption. More information on this "sunsetting" of SELECTserver can be found in the following article (you may need to forward this link to your Administrator to access): Maintaining your Licenses and Support: Frequently Asked Questions

Would you prefer to watch a one minute video about this? See below.

Will this impact me?

To check if your OpenFlows products are using the older SELECTserver licensing, check the version number. This is found under File > Help > About, or Help > About (depending on your product and version).

                 

If you are using version 10.02.XX.XX or greater of an OpenFlows product, then you are already using our latest "SES" licensing. If you are using an earlier version, you are using the older SELECTserver licensing and will want to upgrade.

Note: if your organization does not have a SELECT subscription ("Non-SELECT") and you're using a SELECTserver-licensed version, the license needs to be "checked out" in order to work, which essentially locks the license to the computer and is not "pooled". Such checked out licenses will not be impacted by the SELECTserver deprecation and will continue to work as long as the license is checked out (and you will still be able to check in/out between computers if needed). However, since you will be using unsupported software, there are other downsides as described in the Support Policy and it is strongly recommended that you upgrade. Upgrading does not require re-purchasing a new license; you can simply cover it under a SELECT subscription to receive the no-additional-cost upgrades among other benefits.

Who else may be impacted?

To check for other users in your organization who may also need to upgrade, (for SELECT or ELS subscribers) your administrator can use the reports at reporting.bentley.com.

What do I need to do?

If you are still using an older, SELECTserver-licensed version, you will want to upgrade to a newer version of the product that uses our new licensing.

If another person in your organization manages your Bentley OpenFlows licenses (such as your IT or HelpDesk administrator), please share the following information to guide them through the upgrade. A list of your Administrators can be seen by going to https://connect.bentley.com. Below the Welcome Banner, click on the 'How are you CONNECTED?' link; you will find a list of your site Administrators in the “Administrators” tab.

But is it OK for me to upgrade?

The following information addresses concerns you may have about upgrading from your current version.

  • The upgrade is small and does not involve any customization re-work. OpenFlows products do not rely on Workspaces or customization. The installation file is relatively small and the upgrade itself is relatively fast and you can get back to work as soon as it is completed.

  • It does not rely on your MicroStation version - OpenFlows products have a Standalone version that does not require any other platform. So, you can upgrade independently. If you prefer to integrate with MicroStation, AutoCAD or ArcGIS, you can check for compatibility here.

  • There is no learning curve or user interface change in most cases.
    • If you are currently using a CONNECT Edition version (10.00.XX.XX or 10.01.XX.XX), there are no user interface changes
    • If you are currently using V8i, there are only minimal user interface changes (see this about the Ribbon) but a number of other benefits seen here: Water / Storm or Sewer
    • If you are currently using PondPack V9 or V10 (circa 2006 or earlier), the latest version of PondPack does have a new user interface, but we have ample training material specifically for users moving to this new version. See: Moving from older PondPack versions to CONNECT Edition

  • Models are backward compatible. You can open your existing models in the new version without any data loss. Models saved in the newer version cannot be opened in the older version though. If you are concerned about sending a model to a client/reviewer who is on an older version, remember that the SELECTserver deprecation applies to them as well and they are likely upgrading as well (and as mentioned above, the upgrade is generally quite easy). See more here: Model backward / forward compatibility

  • It is OK to mix older and newer licensing. If you have a mix of older (SELECTserver) and newer (SES) licensed products, the newer versions will use the new SES licensing and the older versions will require machine registration. Usage will be reported from both sources. It is recommended to upgrade all products to the newer version to avoid the need for machine registration and to ensure that mechanisms like concurrent use alerting work properly. See more here: SELECTserver/Subscription Entitlement Service hybrid environment FAQ

What if my Company does not have SELECT?

if your organization does not have a SELECT subscription ("Non-SELECT") and you're using a SELECTserver-licensed version, the license needs to be "checked out" in order to work, which essentially locks the license to the computer and is not "pooled". Such checked out licenses will not be impacted by the SELECTserver deprecation and will continue to work as long as the license is checked out (and you will still be able to check in/out between computers if needed). However, since you will be using unsupported software, there are other downsides as described in the Support Policy and it is strongly recommended that you upgrade. Upgrading does not require re-purchasing a new license; you can simply cover it under a SELECT subscription to receive the no-additional-cost upgrades among other benefits.

What if I need more help?

If you have more questions about this or need assistance with the upgrade, please contact Technical Support via Service Request or forum (OpenFlows Licensing)

Video Overview (one minute)

Other Language Sources

Spanish, Portuguese

Recommended
Related